| CAEN FERS Library v1.1.4 SDK for FERS systems

Functions
Open/Close
API
Collaboration diagram for Open/Close:

## Functions
float | FERS_GetClockPeriod (int handle)
| Get the clock of the FERS board @parma[in] handle board handle return Clock period in ns. More...
int | FERS_OpenDevice (char *path, int *handle)
| Open a device (either FERS board, concentrator or offline) More...
int | FERS_IsOpen (char *path)
| Check if a device is already opened. More...
int | FERS_CloseDevice (int handle)
| Cloase a device (either FERS board or concentrator) More...
int | FERS_TotalAllocatedMemory ()
| Return the total size of the allocated buffers for the readout of all boards. More...
int | FERS_Reset_IPaddress (int handle)
| Restore the factory IP address (192.168.50.3) of the device. The board must be connected through the USB port. More...
int | FERS_Get_CncPath (char *dev_path, char *cnc_path)
| Find the path of the concentrator to which a device is connected. More...
int | FERS_InitTDLchains (int handle, float DelayAdjust[8][16])
| Send a sync broadcast command via TDL. More...
bool | FERS_TDLchainsInitialized (int handle)
| Check if TDL chains are initialized. More...
uint16_t | FERS_GetNumBrdConnected ()
| Get the number of boards connected. More...

## Detailed Description

## Function Documentation

## ◆ FERS_GetClockPeriod()

float FERS_GetClockPeriod | ( | int | handle | ) |

Get the clock of the FERS board @parma[in] handle board handle return Clock period in ns.

## ◆ FERS_OpenDevice()

int FERS_OpenDevice | ( | char * | path,
|  | int * | handle
| ) |  |

Open a device (either FERS board, concentrator or offline)

Parameters

  [in] | path | device path (e.g. eth:192.168.50.125:tdl:0:0)
  [in] | *handle | device handle

Returns
  0 in case of success, or a negative error code specified in FERSLIB_ErrorCodes

## ◆ FERS_IsOpen()

int FERS_IsOpen | ( | char * | path | ) |

Check if a device is already opened.

Parameters

  [in] | *path | path to be checked

Returns
  0 in case of success, or a negative error code specified in FERSLIB_ErrorCodes

## ◆ FERS_CloseDevice()

int FERS_CloseDevice | ( | int | handle | ) |

Cloase a device (either FERS board or concentrator)

Parameters

  [in] | handle | handle of the device to be closed

Returns
  0

## ◆ FERS_TotalAllocatedMemory()

int FERS_TotalAllocatedMemory | ( |  | ) |

Return the total size of the allocated buffers for the readout of all boards.

Returns
  memory allocated in Byte

## ◆ FERS_Reset_IPaddress()

int FERS_Reset_IPaddress | ( | int | handle | ) |

Restore the factory IP address (192.168.50.3) of the device. The board must be connected through the USB port.

Parameters

  [in] | handle | handle of the board to be reset

Returns
  0 in case of success, or a negative error code specified in FERSLIB_ErrorCodes

## ◆ FERS_Get_CncPath()

int FERS_Get_CncPath | ( | char * | dev_path,
|  | char * | cnc_path
| ) |  |

Find the path of the concentrator to which a device is connected.

Parameters

  [out] | cnc_path | concentrator path
  [in] | dev_path | device address

Returns
  0 in case of success, or a negative error code specified in FERSLIB_ErrorCodes

## ◆ FERS_InitTDLchains()

int FERS_InitTDLchains | ( | int | handle,
|  | float | DelayAdjust[8][16]
| ) |  |

Send a sync broadcast command via TDL.

Parameters

  [in] | handle | concentrator handel

Returns
  0 in case of success, or a negative error code specified in FERSLIB_ErrorCodes

## ◆ FERS_TDLchainsInitialized()

bool FERS_TDLchainsInitialized | ( | int | handle | ) |

Check if TDL chains are initialized.

Parameters

  [in] | handle | concentator handle

Returns
  0 in case of success, or a negative error code specified in FERSLIB_ErrorCodes

## ◆ FERS_GetNumBrdConnected()

uint16_t FERS_GetNumBrdConnected | ( |  | ) |

Get the number of boards connected.

Returns
  number of board connected